<?php
if(!defined('MOD'))  die("access die");
require_once(A_P . '/system/collect/global.php');
@set_time_limit(60);
$work = $_GET['work'];
$rules = $_GET['rules'];
if( !$work) $work = 'rules_show';
$channelid = intval( $_GET['channelid']);
$ppcid = intval($_GET['cid']);
if( !$channelid || empty($channel[$channelid])) qbase::purviewCheckDie("error request");
$matches = '';
preg_match("/([a-zA-Z0-9_]+)/i",$work, $matches);
$workurl = A_P . '/system/collect/cjwork/'.$matches[1].'.php';
if(is_file($workurl)) include_once($workurl);
else qbase::purviewCheckDie("error request");
?>